Bug 519156 - [RFE] Provide GConf key to remove "Places" from menu bar
Summary: [RFE] Provide GConf key to remove "Places" from menu bar
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-panel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 554476
TreeView+ depends on / blocked
 
Reported: 2009-08-25 13:05 UTC by Mario Eckl
Modified: 2018-11-14 20:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-24 19:48:48 UTC


Attachments (Terms of Use)
Patch for configurable Places menu (new GConf key 'disable_places_menu') (6.26 KB, patch)
2009-08-25 13:05 UTC, Mario Eckl
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 417853 None None None Never

Description Mario Eckl 2009-08-25 13:05:09 UTC
Created attachment 358567 [details]
Patch for configurable Places menu (new GConf key 'disable_places_menu')

Description of problem:
It is not possible to hide the "Places" entry from the menu bar without modifing the source. Even if lockdown settings are enabled, the "Places" menu is still shown and entries are offered to access the local filesystem, network shares and so on ...

Version-Release number of selected component (if applicable):
2.16.1-7.el5

How reproducible:
Always (no config option to remove/hide "Places" menu)

Steps to Reproduce:
1. --
2. --
3. --

Expected results:
It should be possible to hide the "Places" menu.

Additional info:
I attached a patch file (tested with version gnome-panel-2.16.1-7.el5) which introduces a new GConf key '/apps/panel/global/disable_places_menu'.

I tried my best to implement this functionality (I'm not a C programmer) and mimicked existing code for the 'disable_force_quit' key.

Comment 2 Ray Strode [halfline] 2009-09-10 17:08:59 UTC
Sounds reasonable.  I've posted the patch upstream on the referenced bug report (https://bugzilla.gnome.org/show_bug.cgi?id=417853)

Will wait for upstream feedback.

Comment 4 RHEL Product and Program Management 2009-11-06 18:43:27 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 Brian Gollaher 2012-05-24 19:48:48 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. After consideration, Red Hat does not plan to incorporate the suggested capability in a future release of Red Hat Enterprise Linux. If you would like Red Hat to re-consider your feature request, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.